// articulos.h - Declaración de la clase CArticulos
#if !defined( _ARTICULOS_H_ )
#define _ARTICULOS_H_

#include <fstream>

/////////////////////////////////////////////////////////////////
// clase base de datos
class CArticulos : private std::fstream
{
  private:
    int modo; // 1 = leer y escribir, 2 = añadir
  public:
    CArticulos();
    ~CArticulos();
    void Nuevo(std::string&) throw(failure); // crear un fichero
    void Abrir(std::string&) throw(failure); // abrir un fichero
    void Agregar() throw(failure); // añadir registros al fichero
    float Buscar(std::string&); // buscar un registro
    bool existe(std::string&);  // true si el fichero existe
    int Modo() { return modo; }
    void Modificar() throw(failure); // modificar un registro
};
#endif // _ARTICULOS_H_
/////////////////////////////////////////////////////////////////
